Sync mjpegtools 1:2.1.0+debian-2 (universe) from Debian unstable (main)

Bug #1249499 reported by Artur Rona on 2013-11-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mjpegtools (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync mjpegtools 1:2.1.0+debian-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Don't include obsolete config.h in mplex/stream_params.h (breaks
    gstreamer-plugins-bad build).
  * Don't include obsolete config.h in mplex/stream_params.h (breaks
    gstreamer-plugins-bad build).
  * Don't include obsolete config.h in mplex/stream_params.h (breaks
    gstreamer-plugins-bad build).
  * debian/copyright: make DEP-5 and note aenc/* files that are MSSG
    and now public domain. Also add disclaimer in copyright regarding
    files covered by patents. (LP: #935791)
  * debian/copyright: make DEP-5 and note aenc/* files that are MSSG
    and now public domain. Also add disclaimer in copyright regarding
    files covered by patents. (LP: #935791)
  * debian/copyright: make DEP-5 and note aenc/* files that are MSSG
    and now public domain. Also add disclaimer in copyright regarding
    files covered by patents. (LP: #935791)
  * Build-depend on libjpeg-dev rather than libjpeg62-dev.
  * 10_format_security.diff: Appease gcc -Werror=format-security.
  * Build-depend on libjpeg-dev rather than libjpeg62-dev.
  * 10_format_security.diff: Appease gcc -Werror=format-security.
  * 06_fix_v4l_configure.diff: Apply upstream CVS changeset/revision 165
    to allow configure to complete. Fixes FTBFS. (LP: #756072)
  * 07_fix_lav2yuv_linking.diff: Link explicitly against libdv. Fixes
    FTBFS.
  * 08_fix_mplex_linking.diff: Link explicitly against the built
    libmjpegutils. Fixes FTBFS.
  * 09_fix_qttoy4m_linking.diff: Link explicitly against libquicktime.
    Fixes FTBFS.
  * debian/{control,rules}: Use dh-autoreconf since we touch the build
    system in the above patches.
  * 06_fix_v4l_configure.diff: Apply upstream CVS changeset/revision 165
    to allow configure to complete. Fixes FTBFS. (LP: #756072)
  * 07_fix_lav2yuv_linking.diff: Link explicitly against libdv. Fixes
    FTBFS.
  * 08_fix_mplex_linking.diff: Link explicitly against the built
    libmjpegutils. Fixes FTBFS.
  * 09_fix_qttoy4m_linking.diff: Link explicitly against libquicktime.
    Fixes FTBFS.
  * debian/{control,rules}: Use dh-autoreconf since we touch the build
    system in the above patches.
  * Remove mjpegtools maintainers scripts that only call
    install-info. This is nowadays unnecessary, thanks to dpkg triggers.
    Fixes LP: #449729
  * Remove mjpegtools maintainers scripts that only call
    install-info. This is nowadays unnecessary, thanks to dpkg triggers.
    Fixes LP: #449729
  * debian/rules
    - Apply patches on all architectures and not just i386. Fixes FTBFS.
  * debian/rules
    - Apply patches on all architectures and not just i386. Fixes FTBFS.
  * debian/rules
    - Apply patches on all architectures and not just i386. Fixes FTBFS.
  * debian/patches/05_fix_invalid_conversion.diff
    + fix invalid conversion from 'const char*' to 'char*' error and
      hence FTBFS LP: #511292
  * merge from debian-multimedia, remaining changes:
  * debian/patches/02_fix_arch_specifics.patch
    - patch configure and configure.ac to never use arch specific
      optimizations, fixes SIGILL on non-pentium4 archs.
      (LP: #351017)

Delta is already fixed upstream.

Changelog entries since current trusty version 1:2.0.0+debian-2ubuntu1:

mjpegtools (1:2.1.0+debian-2) unstable; urgency=low

  * Team upload.
  * Handle SONAME bump properly. (Closes: #725879)

 -- Alessio Treglia <email address hidden> Wed, 09 Oct 2013 17:38:07 +0100

mjpegtools (1:2.1.0+debian-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Add new tool: y4mshift
  * Handle epoch properly when checking for new releases.
  * Drop debian/patches/11_fix_ftbfs_gcc4.7.patch patch, applied upstream.
  * Refresh the patchset.
  * Avoid unconditional usage of PATH_MAX and MAXPATHLEN. Thanks to Pino
    Toscano for the great work. (Closes: #724897)
  * Divert y4mshift.
  * Remove DM-Upload-Allowed: yes.
  * Bump Standards.

 -- Alessio Treglia <email address hidden> Mon, 07 Oct 2013 17:54:12 +0100

Daniel Holbach (dholbach) wrote :

This bug was fixed in the package mjpegtools - 1:2.1.0+debian-2
Sponsored for Artur Rona (ari-tczew)

---------------
mjpegtools (1:2.1.0+debian-2) unstable; urgency=low

  * Team upload.
  * Handle SONAME bump properly. (Closes: #725879)

 -- Alessio Treglia <email address hidden> Wed, 09 Oct 2013 17:38:07 +0100

mjpegtools (1:2.1.0+debian-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Add new tool: y4mshift
  * Handle epoch properly when checking for new releases.
  * Drop debian/patches/11_fix_ftbfs_gcc4.7.patch patch, applied upstream.
  * Refresh the patchset.
  * Avoid unconditional usage of PATH_MAX and MAXPATHLEN. Thanks to Pino
    Toscano for the great work. (Closes: #724897)
  * Divert y4mshift.
  * Remove DM-Upload-Allowed: yes.
  * Bump Standards.

 -- Alessio Treglia <email address hidden> Mon, 07 Oct 2013 17:54:12 +0100

Changed in mjpegtools (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers